__gnu_pbds::detail::bin_search_tree_it_< Node_Pointer, Value_Type, Pointer, Const_Pointer, Reference, Const_Reference, Is_Forward_Iterator, _Alloc >(3)

NAME
__gnu_pbds::detail::bin_search_tree_it_< Node_Pointer, Value_Type, Pointer, Const_Pointer, Reference, Const_Reference, Is_Forward_Iterator, _Alloc > -

SYNOPSIS

Inherits __gnu_pbds::detail::bin_search_tree_const_it_< Node_Pointer, Value_Type, Pointer, Const_Pointer, Reference, Const_Reference, Is_Forward_Iterator, _Alloc >.

  Public Types
typedef Const_Pointer const_pointer
typedef Const_Reference const_reference
typedef _Alloc::difference_type difference_type
typedef
std::bidirectional_iterator_tag iterator_category"
typedef Pointer pointer
typedef Reference reference
typedef Value_Type value_type

  Public Member Functions
bin_search_tree_it_ (const Node_Pointer p_nd=0)
bin_search_tree_it_ (const bin_search_tree_it_< Node_Pointer, Value_Type, Pointer, Const_Pointer, Reference, Const_Reference,!Is_Forward_Iterator, _Alloc > &other)
bool operator!= (const bin_search_tree_const_it_< Node_Pointer, Value_Type, Pointer, Const_Pointer, Reference, Const_Reference, Is_Forward_Iterator, _Alloc > &other) const
bool operator!= (const bin_search_tree_const_it_< Node_Pointer, Value_Type, Pointer, Const_Pointer, Reference, Const_Reference,!Is_Forward_Iterator, _Alloc > &other) const
bin_search_tree_const_it_
< Node_Pointer, Value_Type,
Pointer, Const_Pointer,
Reference, Const_Reference,
Is_Forward_Iterator, _Alloc >
::reference operator* () const "
bin_search_tree_it_
< Node_Pointer, Value_Type,
Pointer, Const_Pointer,
Reference, Const_Reference,
Is_Forward_Iterator, _Alloc > & operator++ ()"
bin_search_tree_it_
< Node_Pointer, Value_Type,
Pointer, Const_Pointer,
Reference, Const_Reference,
Is_Forward_Iterator, _Alloc > operator++ (int)"
bin_search_tree_it_
< Node_Pointer, Value_Type,
Pointer, Const_Pointer,
Reference, Const_Reference,
Is_Forward_Iterator, _Alloc > & operator-- ()"
bin_search_tree_it_
< Node_Pointer, Value_Type,
Pointer, Const_Pointer,
Reference, Const_Reference,
Is_Forward_Iterator, _Alloc > operator-- (int)"
bin_search_tree_const_it_
< Node_Pointer, Value_Type,
Pointer, Const_Pointer,
Reference, Const_Reference,
Is_Forward_Iterator, _Alloc >
::pointer operator-> () const "
bin_search_tree_it_
< Node_Pointer, Value_Type,
Pointer, Const_Pointer,
Reference, Const_Reference,
Is_Forward_Iterator, _Alloc > & operator= (const bin_search_tree_it_< Node_Pointer, Value_Type, Pointer, Const_Pointer, Reference, Const_Reference, Is_Forward_Iterator, _Alloc > &other)"
bin_search_tree_it_
< Node_Pointer, Value_Type,
Pointer, Const_Pointer,
Reference, Const_Reference,
Is_Forward_Iterator, _Alloc > & operator= (const bin_search_tree_it_< Node_Pointer, Value_Type, Pointer, Const_Pointer, Reference, Const_Reference,!Is_Forward_Iterator, _Alloc > &other)"
bool operator== (const bin_search_tree_const_it_< Node_Pointer, Value_Type, Pointer, Const_Pointer, Reference, Const_Reference, Is_Forward_Iterator, _Alloc > &other) const
bool operator== (const bin_search_tree_const_it_< Node_Pointer, Value_Type, Pointer, Const_Pointer, Reference, Const_Reference,!Is_Forward_Iterator, _Alloc > &other) const

  Public Attributes
Node_Pointer m_p_nd

  Protected Types
typedef
bin_search_tree_const_it_
< Node_Pointer, Value_Type,
Pointer, Const_Pointer,
Reference, Const_Reference,
Is_Forward_Iterator, _Alloc > base_it_type"

  Protected Member Functions
void dec (false_type)
void dec (true_type)
void inc (false_type)
void inc (true_type)

Detailed Description

  template<typename Node_Pointer, typename Value_Type, typename Pointer, typename Const_Pointer, typename Reference, typename Const_Reference, bool Is_Forward_Iterator, typename _Alloc>class __gnu_pbds::detail::bin_search_tree_it_< Node_Pointer, Value_Type, Pointer, Const_Pointer, Reference, Const_Reference, Is_Forward_Iterator, _Alloc >
Iterator.

Definition at line 282 of file point_iterators.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.